org.eclipse.ease

## Class Logger

- java.lang.Object
- - org.eclipse.ease.Logger

    public class Logger
    extends Object

Global Logger implementation for EASE. Provides means to log errors, warnings, infos and to create trace output.

### Constructor Summary

Constructors
Constructor and Description
`Logger()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `error(String pluginID, String message)` Log an error.
`static void` `error(String pluginID, String message, Throwable throwable)` Log an error.
`static void` `info(String pluginID, String message)` Log an info.
`static void` `info(String pluginID, String message, Throwable throwable)` Log an info.
`static void` `trace(String pluginID, boolean enabled, String title)` Create trace output.
`static void` `trace(String pluginID, boolean enabled, String title, String details)` Create trace output.
`static void` `warning(String pluginID, String message)` Log a warning.
`static void` `warning(String pluginID, String message, Throwable throwable)` Log a warning.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Logger

    public Logger()

### Method Detail

#### error

    public static void error(String pluginID,
                             String message)

Log an error.

Parameters:
  `pluginID` - origin plug-in ID
  `message` - error message

#### error

    public static void error(String pluginID,
                             String message,
                             Throwable throwable)

Log an error.

Parameters:
  `pluginID` - origin plug-in ID
  `message` - error message
  `throwable` - throwable to be added

#### warning

    public static void warning(String pluginID,
                               String message)

Log a warning.

Parameters:
  `pluginID` - origin plug-in ID
  `message` - warning message

#### warning

    public static void warning(String pluginID,
                               String message,
                               Throwable throwable)

Log a warning.

Parameters:
  `pluginID` - origin plug-in ID
  `message` - warning message
  `throwable` - throwable to be added

#### info

    public static void info(String pluginID,
                            String message)

Log an info.

Parameters:
  `pluginID` - origin plug-in ID
  `message` - info message

#### info

    public static void info(String pluginID,
                            String message,
                            Throwable throwable)

Log an info.

Parameters:
  `pluginID` - origin plug-in ID
  `message` - info message
  `throwable` - throwable to be added

#### trace

    public static void trace(String pluginID,
                             boolean enabled,
                             String title)

Create trace output.

Parameters:
  `pluginID` - origin plug-in ID
  `enabled` - enablement flag for tracing, typically points to a trace option flag
  `title` - trace message title

#### trace

    public static void trace(String pluginID,
                             boolean enabled,
                             String title,
                             String details)

Create trace output.

Parameters:
  `pluginID` - origin plug-in ID
  `enabled` - enablement flag for tracing, typically points to a trace option flag
  `title` - trace message title
  `details` - detailed message, will be indented for better readability